10 марта 2016

В Ubuntu 16.04 будет прекращена поддержка драйвера AMD Catalyst

  Разработчики Ubuntu перевели в разряд устаревших поддержку проприетарного драйвера AMD Catalyst (fglrx), который не войдёт в состав выпуска Ubuntu 16.04. Пользователям рекомендуется перейти на использование открытых драйверов AMDGPU/Radeon. Установить драйвер AMD Catalyst с сайта AMD мешает то, что последний выпуск поддерживает работу только с X-server 1.17 и ядрами Linux до 3.19, в то время как в Ubuntu 16.04 задействованы X-server 1.18 и ядро Linux 4.4. Ранее для Ubuntu совместно с AMD готовились специальные сборки драйвера, учитывающие версии компонентов графического стека дистрибутива.

  С учётом развития компанией AMD открытого драйвера AMDGPU, нацеленного на предоставление полноценной поддержки современных графических карт AMD на базе архитектуры GCN, поставка проприетарного драйвера AMD Catalyst имеет смысл только для поддержки старых серий GPU AMD. Проблема в том, что поддержка старых GPU скоро будет удалена из AMD Catalyst - в скором времени будет проведена значительная чистка драйвера, в результате которой будет прекращена поддержка серий Radeon HD 8000 (HD 8400 и ниже), Radeon HD 7000 Series (HD 7600 и ниже), Radeon HD 6000, Radeon HD 5000 и других карт не использующих архитектуру GCN.

  Из проблем открытых драйверов, которые со временем планируется устранить в драйверах на базе стека AMDGPU, упоминается отсутствие поддержки OpenGL 4.5 (в открытых драйверах OpenGL 4.1), отставание в производительности при запуске многих игр, неполная поддержка OpenCL, отсутствие поддержки CrossFire multi-GPU.

Источники: http://www.opennet.ru | http://www.phoronix.com